Bug 72544 - USB Printer error -110 writing to printer
USB Printer error -110 writing to printer
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 23:11 EDT by Edward Davignon
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 21:54:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (665.22 KB, text/plain)
2002-08-24 23:12 EDT, Edward Davignon
no flags Details

  None (edit)
Description Edward Davignon 2002-08-24 23:11:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
USB HP DeskJet 842C printer attached to a USB UHCI controller fails and logs
message continuously.

I have tried the follwing kernels.  kernel-2.4.18-10.i686.rpm 
kernel-2.4.18-4.i686.rpm  kernel-2.4.18-5.i686.rpm

I have tried hpijs, cdj550, cdj670, cdj880, cdj970, gimp-print, hpdj, hpijs, and
pcl3 drivers.

This happens often with both the usb-uhci and uhci modules.  The usb-uhci module
is much more likely to have this happen.

The printer stops working and the hard drive runs continuously until
/var/log/messages is out of space.  The message is as follows:
Aug 24 17:24:46 bible kernel: printer.c: usblp0: error -110 wrter
Aug 24 17:24:46 bible kernel: printer.c: usblp0: error -110 writing to printer
Aug 24 17:24:46 bible last message repeated 77 times
Aug 24 17:24:46 bible kernel: printer.c: usblp0: error -110 wrter
Aug 24 17:24:46 bible kernel: printer.c: usblp0: error -110 writing to printer
Aug 24 17:24:46 bible last message repeated 77 times
...

to restart the print queues I must stop lpd, remove the uchi and printer
modules, reload these modules and restart lpd. But it will happen again after a
few more pages of printing.
(/etc/init.d/lpd stop;rmmod uhci printer;modprobe uhci printer;/etc/init.d/lpd
start)

This does not happen on the same machine running RedHat 7.1
kernel-2.4.9-34.i686.rpm. The print drivers included in Redhat 7.3 have much the
higher quality colors.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Usually happens within printing the first 12 pages.  It happens much more
often when printing 600x1200dpi full color photos.  It happens with both
grayscale and color print streams.

Additional info:

Below is some info from /proc

$ cat /proc/sys/kernel/osrelease 
2.4.18-10

$ cat /proc/bus/usb/devices 
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc= 11/900 us ( 1%), #Int=  1, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI-alt Root Hub
S:  SerialNumber=d400
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=055f ProdID=0006 Rev= 1.00
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=496mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=00(>ifc ) Sub=00 Prot=00 Driver=usbscanner
E:  Ad=01(O) Atr=02(Bulk) MxPS=   2 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   1 Ivl=1ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  3 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=03f0 ProdID=0604 Rev= 1.00
S:  Manufacturer=Hewlett-Packard 
S:  Product=DeskJet 840C
S:  SerialNumber=CN0BJ1N3K9LB
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  2mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=07(print) Sub=01 Prot=01 Driver=usblp
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
I:  If#= 0 Alt= 1 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms


$ cat /proc/bus/usb/drivers 
         usbdevfs
         hub
 48- 63: usbscanner
  0- 15: usblp

$ cat /proc/pci 
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 3).
      Master Capable.  Latency=64.  
      Prefetchable 32 bit memory at 0xe4000000 [0xe7ffffff].
  Bus  0, device   1, function  0:
    PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 3).
      Master Capable.  Latency=64.  Min Gnt=128.
  Bus  0, device   4, function  0:
    ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 2).
  Bus  0, device   4, function  1:
    IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 1).
      I/O at 0xd800 [0xd80f].
  Bus  0, device   4, function  2:
    USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 1).
      IRQ 5.
      Master Capable.  Latency=64.  
      I/O at 0xd400 [0xd41f].
  Bus  0, device   4, function  3:
    Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 2).
      IRQ 9.
  Bus  0, device   6, function  0:
    SCSI storage controller: Adaptec AHA-2940U2/U2W / 7890/7891 (rev 0).
      IRQ 5.
      Master Capable.  Latency=64.  Min Gnt=39.Max Lat=25.
      I/O at 0xd000 [0xd0ff].
      Non-prefetchable 64 bit memory at 0xe3000000 [0xe3000fff].
  Bus  0, device   9, function  0:
    VGA compatible controller: S3 Inc. ViRGE/DX or /GX (rev 1).
      IRQ 5.
      Master Capable.  No bursts.  Min Gnt=4.Max Lat=255.
      Non-prefetchable 32 bit memory at 0xdc000000 [0xdfffffff].
  Bus  0, device  11, function  0:
    Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 48).
      IRQ 10.
      Master Capable.  Latency=64.  Min Gnt=10.Max Lat=10.
      I/O at 0xb800 [0xb87f].
      Non-prefetchable 32 bit memory at 0xdb800000 [0xdb80007f].
  Bus  0, device  12, function  0:
    Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 2).
      IRQ 11.
      Master Capable.  Latency=64.  Min Gnt=12.Max Lat=128.
      I/O at 0xb400 [0xb43f].

$ cat /proc/modules 
printer                 8160   0
uhci                   27560   0 (unused)
sr_mod                 16920   0 (autoclean)
cdrom                  32032   0 (autoclean) [sr_mod]
es1371                 29024   0 (autoclean)
ac97_codec             12320   0 (autoclean) [es1371]
gameport                3488   0 (autoclean) [es1371]
soundcore               6500   4 (autoclean) [es1371]
binfmt_misc             7460   1
3c59x                  28680   1
ipchains               43496  10
scanner             9888   0 (unused)
usbcore                71904   1 [printer uhci scanner]
ext3                   67328   2
jbd                    49528   2 [ext3]
aic7xxx               128000   3
sd_mod                 12960   6
scsi_mod              109392   3 [sr_mod aic7xxx sd_mod]

$ cat /proc/ioports 
0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
02f8-02ff : serial(auto)
0376-0376 : ide1
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial(auto)
0cf8-0cff : PCI conf1
b400-b43f : Ensoniq 5880 AudioPCI
  b400-b43f : es1371
b800-b87f : 3Com Corporation 3c905B 100BaseTX [Cyclone]
  b800-b87f : 00:0b.0
d000-d0ff : Adaptec AHA-2940U2/U2W / 7890/7891
d400-d41f : Intel Corp. 82371AB/EB/MB PIIX4 USB
  d400-d41f : usb-uhci
d800-d80f : Intel Corp. 82371AB/EB/MB PIIX4 IDE
  d800-d807 : ide0
  d808-d80f : ide1
e400-e43f : Intel Corp. 82371AB/EB/MB PIIX4 ACPI
e800-e81f : Intel Corp. 82371AB/EB/MB PIIX4 ACPI

$ cat /proc/driver/uhci/hc0 
HC status
  usbcmd    =     00c1   Maxp64 CF RS 
  usbstat   =     0000   
  usbint    =     000f
  usbfrnum  =   (1)7f0
  flbaseadd = 07cdc7f0
  sof       =       40
  stat1     =     0095   PortEnabled PortConnected 
  stat2     =     0095   PortEnabled PortConnected 
Frame List
Skeleton TD's
- skel_term_td
    [c69821b0] link (069821b0) e0 Length=0 MaxLen=7ff DT0 EndPt=0 Dev=7f,
PID=69(IN) (buf=00000000)
- skel_int128_td
    [c69821e0] link (06982120) e0 IOC Active NAK Length=7ff MaxLen=0 DT0 EndPt=3
Dev=2, PID=69(IN) (buf=0283e5c2)
Skeleton QH's
Comment 1 Edward Davignon 2002-08-24 23:12:33 EDT
Created attachment 72812 [details]
/var/log/messages
Comment 2 Pete Zaitcev 2002-08-25 13:58:08 EDT
Nearly impossible to fix without hardware access, but sure,
I'll take it.
Comment 3 Pete Zaitcev 2003-06-04 00:15:52 EDT
I didn't fix it, but could re-test this with 2.4.20-18, to see if
upstream did something. Sorry for the delay.
Comment 4 Edward Davignon 2003-06-16 20:57:05 EDT
I have been using Redhat 7.1 with kernel 2.4.18-27.7.x for a while now.

It occasionally has a write error to the USB port, and hangs the printer, but it
only logs the problem once in syslog instead of logging it indefinitely.

I can sometimes recover by stopping lpd and using rmmod and insmod instead of
rebooting.

The USB support seems to have improved in this kernel.
Comment 5 Pete Zaitcev 2003-06-16 23:07:05 EDT
Please test 2.4.20-18. Remember, several kernel RPMs can be installed
side by side without a conflict, so you don't have to evict 2.4.18-27.

Comment 6 Dave Jones 2003-12-16 21:54:10 EST
Closing due to inactivity. Assuming fixed in errata.

Note You need to log in before you can comment on or make changes to this bug.